SoFontStyle(3IV)

NAME
SoFontStyle — simple 3D text shape node

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoFont > SoFontStyle

SYNOPSIS
#include <Inventor/nodes/SoFontStyle.h>

enum Family {
SoFontStyle::SERIF
Use Serif style (such as Times-Roman)
SoFontStyle::SANS
Use Sans Serif style (such as Helvetica)
SoFontStyle::TYPEWRITER
Use fixed pitch style (such as Courier)
}

enum Style {
SoFontStyle::NONE
No modification to Family
SoFontStyle::BOLD
Embolden Family
SoFontStyle::ITALIC
Italicize or Slant Family
}

Fields from class SoFontStyle:

SoSFEnum
family
SoSFBitMask
style

Fields from class SoFont:

SoSFName
name
SoSFFloat
size

Methods from class SoFontStyle:

SoFontStyle()
static SoType
getClassTypeId()
SbString
getFontName()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines the current font family and style for all subsequent text shapes in the scene graph.

FIELDS
SoSFEnum
family
Defines the family of font to use.

SoSFBitMask
style
Defines style modifications to the chosen font, either bold or italic or no change.

METHODS

SoFontStyle()
Creates a font style node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

SbString
getFontName()
Returns the font name used by this node based on the settings of family and style.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoGetBoundingBoxAction, SoRayPickAction
Sets the font family and style in the current traversal state.

FILE FORMAT/DEFAULTS
FontStyle {
name	"defaultFont"
size	10
family	SERIF
style	NONE
}

SEE ALSO
SoAsciiText, SoFont, SoText2, SoText3